//-----------------------------------------------------------------------------
// Title      : bsp_ub030_mk3_eeprom
//-----------------------------------------------------------------------------
// Funktion   : EEprom-Funktionen
// Schaltung  : myAVR MK3
//-----------------------------------------------------------------------------
// Prozessor  : ATMega2560
// Takt       : 16 MHz
// Sprache    : C
// Date       : 25.08.2011
// Version    : 1.0
// Autor      : UB
//-----------------------------------------------------------------------------
#define F_CPU 16000000
#include <avr/io.h>
#include <UB_MK3_2560/MK3_2560_EEPROM.h>
#include <UB_MK3_2560/MK3_2560_LED.h>

//-----------------------------------------------------------------------------
// Hinweis : Quick-Jumper Port-L muss gesetzt sein
// - das Programm liest ein Byte aus dem EEprom
//   und zeigt es an den LEDs an
// - falls es nicht der richtige Wert ist,
//   wird ein Byte ins EEprom geschrieben
//-----------------------------------------------------------------------------
int main (void)
{

	char data=0;
	
	MK3_INIT_EEPROM();			// init vom EEProm

	MK3_INIT_LED();				// init der LEDs
	
	// ein Byte vom EEprom an Adr 0x123 auslesen
	data=MK3_EEPROM_RD8(0x123);
	
	// vom EEprom ausgelesener Wert
	// an den LEDs anzeigen
	MK3_LED_ZAHL(data);
	
	// prfen ob es den richtige inhalt hat (27h)
	if(data!=0x18) {
	  // falls nicht, EEprom beschreiben
	  MK3_EEPROM_WR8(0x123,0x18);
	}
	
	while (true)
	{
		// hier wird nichts gemacht
	}
	return 0;
}
//-----------------------------------------------------------------------------






